Skip to main content

Get Schedules

GET 

/v1/product/:product_id/schedule

Get all schedules

Request

Path Parameters

    product_id uuidrequired

    The product ID

Query Parameters

    name Name

    Filter by name

    description Description

    Filter by description

    sort_by any

    Field to sort by

    sort_order Sort Order

    Possible values: Value must match regular expression ^(asc|desc)$

    Default value: asc

    Sort order

    cursor Cursor

    Default value: 0

    Pagination cursor

    page_size Page Size

    Default value: 10

    Page size

Responses

Successful Response

Schema

    data

    object[]

    required

    List of events

  • Array [

  • last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    name Name (string)

    Name of the event

    description Description (string)

    Description of the event

    start_datetime date-timerequired

    Start datetime of the event

    created_by_account_id uuid

    ID of the account that created the event

    schedule_id uuidrequired

    Unique identifier for the event

  • ]

  • page_meta

    object

    required

    Metadata for pagination.

    cursor Cursor (string)required

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size (integer)

    Default value: 50

    The maximum number of elements to be returned per call

    total Total (integer)

    Default value: 0

    Total number of entities

Loading...